#pragma once

namespace Mix{ namespace Scene{ namespace Common{

	class RendererObject
	{
	private:
		Boolean m_bRendering;

	protected:
		RendererObject( void );

		void SetRendering( Boolean state );
		Boolean IsRendering( void ) const;
	};

}}}
